Bug 1263548 - Opening deleted content view in WebUI succeeds
Opening deleted content view in WebUI succeeds
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Views (Show other bugs)
6.1.1
x86_64 Linux
low Severity medium (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-16 03:02 EDT by Pavel Moravec
Modified: 2017-08-01 16:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-01 16:35:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Satellite 6.2: CV: Selecting a CV that was deleted elsewhere (55.72 KB, image/png)
2016-08-24 16:24 EDT, Brad Buckingham
no flags Details

  None (edit)
Description Pavel Moravec 2015-09-16 03:02:53 EDT
Description of problem:
Working in WebUI concurrently, if one user deletes a content view and second tries to open it by clicking to the C.V. name later on, the "opening" "succeeds" in the way some old data (from browser cache?) are loaded, supplying the user wrong information the C.V. is there. Any action on the C.V. fails with empty error.


Version-Release number of selected component (if applicable):
Sat 6.1.1 GA


How reproducible:
100%


Steps to Reproduce:
1. Create two CVs, stay on page Content -> Content views
2. Open another tab/window and delete one CV
3. In the tab/window from 1., click to the name of CV deleted in step 2
4. Try to publish a new version, add a repo, whatever


Actual results:
Step 3. opens the CV but with empty name.
Step 4. fails with empty error in WebUI


Expected results:
Step 3. should fail, Step 4. should not be possible to execute.


Additional info:
Comment 2 Bryan Kearney 2016-07-08 16:39:08 EDT
Per 6.3 planning, moving out non acked bugs to the backlog
Comment 4 Brad Buckingham 2016-08-24 16:24:00 EDT
In Satellite 6.2, the scenario above generates an error.  Attaching an image that illustrates the error the user sees when selecting a CV that was deleted via other means (e.g. another UI tab).
Comment 5 Brad Buckingham 2016-08-24 16:24 EDT
Created attachment 1193792 [details]
Satellite 6.2: CV: Selecting a CV that was deleted elsewhere
Comment 6 Bryan Kearney 2017-08-01 16:35:05 EDT
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Note You need to log in before you can comment on or make changes to this bug.